/* Server API header.
   Rick Smereka, Copyright (C) 1995-2003.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original 32bit Windows version Dec/98, Rick Smereka

   Ported to HP-UX under GNU C 2.8.1.
   Jan/99, Rick Smereka

   Ported to Red Hat Linux 5.2, Jul/99, Rick Smereka

   Added 'extern "C"' sections in the case of a C++ compiler
   Apr/2000, Rick Smereka

   Modified for use by both socket and QNX message passing servers.
   Sep/2001, Rick Smereka

   Ported to Debian Linux. Nov/2002, Rick Smereka

   Changed TCP function prototype 'ipc_server_wait' to return nothing.
   Added function prototypes 'ipc_trans_num' and 'ipc_connect_num'
   (TCP only). May/2003, Rick Smereka

   Removed prototype 'ipc_end' (QNX message passing only) and made
   prototype 'ipc_close' available to all IPC methods. Jun/2003,
   Rick Smereka */

#ifdef __cplusplus
extern "C"
{
#endif

#ifdef IPC_TCP
int ipc_init(char *, int);
void ipc_server_wait(void);
int ipc_recv_data(char *);
int ipc_close_client(void);
void ipc_display_client(void);
long ipc_trans_num(void);
int ipc_connect_num(void);
#else
int ipc_init(char *);
int ipc_recv_data(char *, int);
#endif

int ipc_close(void);
int ipc_send_data(char *);

#ifdef __cplusplus
}
#endif
